2.6.24 Kernel compilation on RHEL3?



Hi,

Is it possible to compile kernel 2.6.24 on a RHEL3 on VMware. I tried
it, but during #make, it spewed a lot errors. I couldnt really
understand much except the first line mentioning

#error, Sorry your compiler is too old.
..........................................................
...........................................................
.........................................................
.........................................................

Will I have to compile a newer version of gcc (gcc4) for the
compilation to work) or is there a workaround.

Thanks,
Danish
.